GET api/Report/GetNewPaymentStatusReport?distId={distId}&sDate={sDate}&eDate={eDate}&DairyPlantID={DairyPlantID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
distId

integer

Required

sDate

date

Required

eDate

date

Required

DairyPlantID

integer

Required

Body Parameters

None.

Response Information

Resource Description

Collection of NewPaymentStatusReport
NameDescriptionTypeAdditional information
TpoNo

string

None.

DistributorName

string

None.

Amount

decimal number

None.

NetAmount

decimal number

None.

Shift

string

None.

GST

decimal number

None.

ProductSupplyDate

date

None.

TransAmount

decimal number

None.

DistributorType

string

None.

PaymentStatus

string

None.

Code

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "tpoNo": "sample string 1",
    "distributorName": "sample string 2",
    "amount": 3.0,
    "netAmount": 4.0,
    "shift": "sample string 5",
    "gst": 6.0,
    "productSupplyDate": "2026-04-13T20:21:31.5982206+05:30",
    "transAmount": 8.0,
    "distributorType": "sample string 9",
    "paymentStatus": "sample string 10",
    "code": "sample string 11"
  },
  {
    "tpoNo": "sample string 1",
    "distributorName": "sample string 2",
    "amount": 3.0,
    "netAmount": 4.0,
    "shift": "sample string 5",
    "gst": 6.0,
    "productSupplyDate": "2026-04-13T20:21:31.5982206+05:30",
    "transAmount": 8.0,
    "distributorType": "sample string 9",
    "paymentStatus": "sample string 10",
    "code": "sample string 11"
  }
]

application/xml, text/xml

Sample:
<ArrayOfNewPaymentStatusReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <NewPaymentStatusReport>
    <Amount>3</Amount>
    <Code>sample string 11</Code>
    <DistributorName>sample string 2</DistributorName>
    <DistributorType>sample string 9</DistributorType>
    <GST>6</GST>
    <NetAmount>4</NetAmount>
    <PaymentStatus>sample string 10</PaymentStatus>
    <ProductSupplyDate>2026-04-13T20:21:31.5982206+05:30</ProductSupplyDate>
    <Shift>sample string 5</Shift>
    <TpoNo>sample string 1</TpoNo>
    <TransAmount>8</TransAmount>
  </NewPaymentStatusReport>
  <NewPaymentStatusReport>
    <Amount>3</Amount>
    <Code>sample string 11</Code>
    <DistributorName>sample string 2</DistributorName>
    <DistributorType>sample string 9</DistributorType>
    <GST>6</GST>
    <NetAmount>4</NetAmount>
    <PaymentStatus>sample string 10</PaymentStatus>
    <ProductSupplyDate>2026-04-13T20:21:31.5982206+05:30</ProductSupplyDate>
    <Shift>sample string 5</Shift>
    <TpoNo>sample string 1</TpoNo>
    <TransAmount>8</TransAmount>
  </NewPaymentStatusReport>
</ArrayOfNewPaymentStatusReport>